gnutls_x509_trust_list_get_issuer(3)

NAME
gnutls_x509_trust_list_get_issuer - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_trust_list_get_issuer(gnutls_x509_trust_list_t list, gnutls_x509_crt_t cert, gnutls_x509_crt_t * issuer, unsigned int flags);

ARGUMENTS

gnutls_x509_trust_list_t list
    The list

gnutls_x509_crt_t cert
    is the certificate to find issuer for

gnutls_x509_crt_t * issuer
    Will hold the issuer if any. Should be treated as constant unless GNUTLS_TL_GET_COPY is set in flags .

unsigned int flags
    flags from gnutls_trust_list_flags_t (GNUTLS_TL_GET_COPY is applicable)

DESCRIPTION
This function will find the issuer of the given certificate. If the flag GNUTLS_TL_GET_COPY is specified a copy of the issuer will be returned which must be freed using gnutls_x509_crt_deinit(). In that case the provided issuer must not be initialized. Note that the flag GNUTLS_TL_GET_COPY is required for this function to work with PKCS11 trust lists in a thread-safe way.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/